org.apache.http.client

## Interface RequestDirector

All Known Implementing Classes:
  DefaultRequestDirector

Deprecated.
(4.3) No longer used

    @Deprecated
    public interface RequestDirector

A client-side request director. The director decides which steps are necessary to execute a request. It establishes connections and optionally processes redirects and authentication challenges. The director may therefore generate and send a sequence of requests in order to execute one initial request.

Since:
  4.0

### Method Summary

Methods
`org.apache.http.HttpResponse` `execute(org.apache.http.HttpHost target, org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)` Deprecated. Executes a request.

### Method Detail

#### execute

    org.apache.http.HttpResponse execute(org.apache.http.HttpHost target,
                                       org.apache.http.HttpRequest request,
                                       org.apache.http.protocol.HttpContext context)
                                         throws org.apache.http.HttpException,
                                                IOException

Deprecated.
Executes a request.

Note: For the time being, a new director is instantiated for each request. This is the same behavior as for `HttpMethodDirector` in HttpClient 3.

Parameters:
  `target` - the target host for the request. Implementations may accept `null` if they can still determine a route, for example to a default target or by inspecting the request.
  `request` - the request to execute
  `context` - the context for executing the request
Returns:
  the final response to the request. This is never an intermediate response with status code 1xx.
Throws:
  `org.apache.http.HttpException` - in case of a problem
  `IOException` - in case of an IO problem or if the connection was aborted